package net.northking.cctp.executePlan.dto.planBatch;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * <p>Title: BatchRetryDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/11/10 18:13
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */
public class BatchRetryDto implements Serializable {

    private Boolean hasOfflineDevice = false;

    @NotNull(message = "请选择需要重试的任务")
    private List<Object> taskIdList;

    public Boolean getHasOfflineDevice() {
        return hasOfflineDevice;
    }

    public void setHasOfflineDevice(Boolean hasOfflineDevice) {
        this.hasOfflineDevice = hasOfflineDevice;
    }

    public List<Object> getTaskIdList() {
        return taskIdList;
    }

    public void setTaskIdList(List<Object> taskIdList) {
        this.taskIdList = taskIdList;
    }
}
